Skip to main content
GET
/
projects
내 프로젝트 목록 조회
curl --request GET \
  --url https://api.example.com/projects \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "project_id": 123,
      "owner_id": 123,
      "class_id": 123,
      "name": "<string>",
      "project_type": "<string>",
      "status": "<string>",
      "progress_percent": "<string>",
      "practice_hours": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "conversation_count": 0,
      "last_activity_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "size": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

class_id
integer | null

특정 class 안의 프로젝트만 보고 싶을 때 사용

page
integer
default:1
Required range: x >= 1
size
integer
default:20
Required range: 1 <= x <= 100

Response

Successful Response

items
UserProjectResponse · object[]
required
total
integer
required
page
integer
required
size
integer
required